Package Details: lib32-gnutls28 3.3.30-1

Git Clone URL: https://aur.archlinux.org/lib32-gnutls28.git (read-only)
Package Base: lib32-gnutls28
Description: A library which provides a secure layer over a reliable transport layer (32-bit, legacy version)
Upstream URL: http://gnutls.org/
Licenses: GPL3, LGPL2.1
Conflicts: lib32-libgnutls28
Provides: lib32-libgnutls28
Submitter: zman0900
Maintainer: rubenvb
Last Packager: rubenvb
Votes: 14
Popularity: 0.000000
First Submitted: 2015-05-17 22:17
Last Updated: 2018-10-13 12:09

Pinned Comments

zman0900 commented on 2015-08-30 02:40

See https://wiki.archlinux.org/index.php/Makepkg#Signature_checking

You need to run `gpg --recv-keys 1F42418905D8206AA754CCDC29EE58B996865171`

Latest Comments

1 2 3 Next › Last »

rubenvb commented on 2018-10-13 12:14

I pushed an updated package. One test reported a failure, causing makepkg to fail even though the command "make -k check" should ignore errors. I thus commented out the call to "make -k check" to make the build succeed.

zman0900 commented on 2016-09-25 02:47

That's strange, when I run the build, "template-test" is skipped:

make[4]: Entering directory '/build/lib32-gnutls28/src/gnutls-3.3.24/tests/cert-tests'
SKIP: template-test

Maybe you have some package installed that is enabled an extra broken feature? See how your config summary at the start of the build compares to this: http://pastebin.com/eb576kZt

Maybe try building in chroot with a command like this:

multilib-build -r ~/chroot -- -I /path/to/gnutls28-3.3.24-1-x86_64.pkg.tar.xz

https://wiki.archlinux.org/index.php/DeveloperWiki:Building_in_a_Clean_Chroot#Convenience_Way

GreenRaccoon23 commented on 2016-09-21 02:26

Any idea what this means? I'm getting an error on the 'template-test' under 'tests/cert-tests'. The error has zero explanation, just a status code of 1. Here's a pastebin of the terminal output and the contents of the log files.
http://pastebin.com/NtAZ6g6v

zman0900 commented on 2016-06-17 22:44

There is talk on the mailing list about this: http://article.gmane.org/gmane.comp.encryption.gpg.gnutls.devel/8588

I'll update to use one of the mirrors for now. This should be safe since the file is signed.

SunRed commented on 2016-06-16 19:43

For some reason the gnutls folder on the ftp server got deleted (even though they still link to it from the main page) what causes this package to fail on download.
You can switch to a new mirror like artfiles (http://artfiles.org/gnupg.org/gnutls/v3.3/) that is also located in Germany like the current source.

Anonymous comment on 2016-05-27 20:36

I am getting a "failed to verify package integrity" whenever I try to install.

tmplt commented on 2016-04-24 11:18

Thanks for finding the exact issue and reporting it, zman0900.

zman0900 commented on 2016-04-22 23:16

https://gitlab.com/gnutls/gnutls/issues/85

zman0900 commented on 2016-04-22 19:13

Ok, I tried rebuilding and it is failing for me too now. The OSCP test fails with:
gnutls_ocsp_resp_import[1142]: ASN1 parser: Error in DER parsing.

tests/ocsp.c has a comment at the top mentioning that failure is probably related to libtasn1, and arch did update lib32-libtasn1 to 4.8 about 5 days ago. I don't recommend downgrading it because you might break normal lib32-gnutls. You could try building without tests enabled, but I don't know if the result can be trusted to be secure.

zman0900 commented on 2016-04-22 17:46

You need to post more of the output including the actual error. Just use pastebin to post the whole thing. Also make sure you have the necessary dependencies installed.